<?php
### Gestion des nouveaux plugins ###
// Ajoute la configuration des plugins non-installs au tableau gnral, il faut valider le formulaire pour les installer
$Available_Plugins = glob('plugins/*');
$PLUGIN_ACTION = 'install';

foreach ($Available_Plugins as $plugin) {
  $plugin_id = str_replace('plugins/', '', $plugin); // id du plugin
  if (!array_key_exists($plugin_id, $CONF['Plugins'])) {
    $CONF['Plugins'][$plugin_id] = load_config('plugins/'.$plugin_id.'/config.xml'); // configuration du plugin
    $CONF['Plugins'][$plugin_id]['active'] = false;
    $NewPlugins[$plugin_id] = true;
  }
}


### Gestion des plugins manquants ###
foreach ($CONF['Plugins'] as $plugin_id => $plugin_config) {
  if (!file_exists('plugins/'.$plugin_id)) {
    $MissingPlugins[$plugin_id] = true;
  }
}


### Formulaire ###
$CONF['copyCOLOR'] = nice_hex_color($CONF['copyCOLOR']);
if ($CONF['copyPOS'] == 'center') {
  $CONF['copyPOS'] = array('center', 'center');
} else {
  $CONF['copyPOS'] = explode('-', $CONF['copyPOS']);
}

$PAGE['content'] .= '<form action="index.php?page=setup" method="post">
  <div class="generic config">
    <h2>'.l10n('Configuration').'</h2>
    <ul>
      <li>
        <span class="title">'.l10n('Folders').'</span>
        <table>
          <tr>
            <td>'.l10n('FolderIn').' :</td>
            <td><input type="text" name="DIRsource" value="'.$CONF['DIRsource'].'"/></td>
          </tr>
          <tr>
            <td>'.l10n('FolderOut').' :</td>
            <td><input type="text" name="DIRsortie" value="'.$CONF['DIRsortie'].'"/></td>
          </tr>
        </table>
      </li>
      <li>
        <span class="title">'.l10n('Options').'</span>
        <table>
          <tr>
            <td>'.l10n('silentORNOT').' :</td>
            <td>
              <input type="radio" id="silentORNOT1" name="silentORNOT" value="erase" '.(($CONF['silentORNOT']=='erase')?'checked="checked"':'').'/> 
              <label for="silentORNOT1">'.l10n('erase').'</label>
              <input type="radio" id="silentORNOT2" name="silentORNOT" value="block" '.(($CONF['silentORNOT']=='block')?'checked="checked"':'').'/> 
              <label for="silentORNOT2">'.l10n('block').'</label>
              <input type="radio" id="silentORNOT3" name="silentORNOT" value="pass" '.(($CONF['silentORNOT']=='pass')?'checked="checked"':'').'/> 
              <label for="silentORNOT3">'.l10n('pass').'</label>
            </td>
          </tr>
          <tr>
            <td>'.l10n('DIRhighORNOT').' :</td>
            <td>
              <input type="radio" id="DIRhighORNOT1" name="DIRhighORNOT" value="true" '.(($CONF['DIRhighORNOT'])?'checked="checked"':'').'/> 
              <label for="DIRhighORNOT1">'.l10n('yes').'</label>
              <input type="radio" id="DIRhighORNOT2" name="DIRhighORNOT" value="false" '.((!$CONF['DIRhighORNOT'])?'checked="checked"':'').'/> 
              <label for="DIRhighORNOT2">'.l10n('no').'</label>
            </td>
          </tr>
          <tr>
            <td>'.l10n('DIMhdORNOT').' :</td>
            <td>
              <input type="radio" id="DIMhdORNOT1" name="DIMhdORNOT" value="true" '.(($CONF['DIMhdORNOT'])?'checked="checked"':'').'/> 
              <label for="DIMhdORNOT1">'.l10n('yes').'</label>
              <input type="radio" id="DIMhdORNOT" name="DIMhdORNOT" value="false" '.((!$CONF['DIMhdORNOT'])?'checked="checked"':'').'/> 
              <label for="DIMhdORNOT2">'.l10n('no').'</label>
            </td>
          </tr>
          <tr>
            <td>'.l10n('renameORNOT').' :</td>
            <td>
              <input type="radio" id="renameORNOT1" name="renameORNOT" value="true" '.(($CONF['renameORNOT'])?'checked="checked"':'').'/> 
              <label for="renameORNOT1">'.l10n('yes').'</label>
              <input type="radio" id="renameORNOT2" name="renameORNOT" value="false" '.((!$CONF['renameORNOT'])?'checked="checked"':'').'/> 
              <label for="renameORNOT2">'.l10n('no').'</label>
            </td>
          </tr>
          <tr>
            <td>'.l10n('indexORNOT').' :</td>
            <td>
              <input type="radio" id="indexORNOT1" name="indexORNOT" value="true" '.(($CONF['indexORNOT'])?'checked="checked"':'').'/> 
              <label for="indexORNOT1">'.l10n('yes').'</label>
              <input type="radio" id="indexORNOT2" name="indexORNOT" value="false" '.((!$CONF['indexORNOT'])?'checked="checked"':'').'/> 
              <label for="indexORNOT2">'.l10n('no').'</label>
            </td>
          </tr>
          <tr>
            <td>'.l10n('prefixe_mini').' :</td>
            <td><input type="text" name="prefixe_mini" value="'.$CONF['prefixe_mini'].'" size="8"/></td>
          </tr>
        </table>
      </li>
      <li>
        <span class="title">'.l10n('Sizes and quality').'</span>
        <table>
          <tr>
            <td>'.l10n('DIMhd').' :</td>
            <td><input type="text" name="DIMhd" value="'.$CONF['DIMhd'].'" size="4"/>px</td>
          </tr>
          <tr>
            <td>'.l10n('DIMnormal').' :</td>
            <td><input type="text" name="DIMnormal" value="'.$CONF['DIMnormal'].'" size="3"/>px</td>
          </tr>
          <tr>
            <td>'.l10n('DIMthumbnail').' :</td>
            <td><input type="text" name="DIMthumbnail" value="'.$CONF['DIMthumbnail'].'" size="3"/>px</td>
          </tr>
          <tr>
            <td>'.l10n('Qhd').' :</td>
            <td><input type="text" name="Qhd" value="'.$CONF['Qhd'].'" size="3"/>%</td>
          </tr>
          <tr>
            <td>'.l10n('Qnormal').' :</td>
            <td><input type="text" name="Qnormal" value="'.$CONF['Qnormal'].'" size="3"/>%</td>
          </tr>
          <tr>
            <td>'.l10n('Qthumbnail').' :</td>
            <td><input type="text" name="Qthumbnail" value="'.$CONF['Qthumbnail'].'" size="3"/>%</td>
          </tr>
          <tr>
            <td>'.l10n('DPI').' :</td>
            <td><input type="text" name="DPI" value="'.$CONF['DPI'].'" size="3"/>dpi</td>
          </tr>
        </table>
      </li>
      <li>
        <span class="title">'.l10n('Copyright').'</span>
        <table>
          <tr>
            <td>'.l10n('Content').' :</td>
            <td><input type="text" name="copyright" value="'.$CONF['copyright'].'"/></td>
          </tr>
          <tr>
            <td>'.l10n('copyONhd').' :</td>
            <td>
              <input type="radio" id="copyONhd1" name="copyONhd" value="true" '.(($CONF['copyONhd'])?'checked="checked"':'').'/> 
              <label for="copyONhd1">'.l10n('yes').'</label>
              <input type="radio" id="copyONhd2" name="copyONhd" value="false" '.((!$CONF['copyONhd'])?'checked="checked"':'').'/> 
              <label for="copyONhd2">'.l10n('no').'</label>
            </td>
          </tr>
          <tr>
            <td>'.l10n('copyONnormal').' :</td>
            <td>
              <input type="radio" id="copyONnormal1" name="copyONnormal" value="true" '.(($CONF['copyONnormal'])?'checked="checked"':'').'/> 
              <label for="copyONnormal1">'.l10n('yes').'</label>
              <input type="radio" id="copyONnormal2" name="copyONnormal" value="false" '.((!$CONF['copyONnormal'])?'checked="checked"':'').'/> 
              <label for="copyONnormal2">'.l10n('no').'</label>
            </td>
          </tr>
          <tr>
            <td>'.l10n('copyPOS%s', l10n('copyPOSv')).' :</td>
            <td>
              <input type="radio" id="copyPOS01" name="copyPOS[0]" value="top" '.(($CONF['copyPOS'][0]=='top')?'checked="checked"':'').'/> 
              <label for="copyPOS01">'.l10n('top').'</label>
              <input type="radio" id="copyPOS02" name="copyPOS[0]" value="center" '.(($CONF['copyPOS'][0]=='center')?'checked="checked"':'').'/> 
              <label for="copyPOS02">'.l10n('center').'</label>
              <input type="radio" id="copyPOS03" name="copyPOS[0]" value="bottom" '.(($CONF['copyPOS'][0]=='bottom')?'checked="checked"':'').'/> 
              <label for="copyPOS03">'.l10n('bottom').'</label>
            </td>
          </tr>
          <tr>
            <td>'.l10n('copyPOS%s', l10n('copyPOSh')).' :</td>
            <td>
              <input type="radio" id="copyPOS11" name="copyPOS[1]" value="left" '.(($CONF['copyPOS'][1]=='left')?'checked="checked"':'').'/> 
              <label for="copyPOS11">'.l10n('left').'</label>
              <input type="radio" id="copyPOS12" name="copyPOS[1]" value="center" '.(($CONF['copyPOS'][1]=='center')?'checked="checked"':'').'/> 
              <label for="copyPOS12">'.l10n('center').'</label>
              <input type="radio" id="copyPOS13" name="copyPOS[1]" value="right" '.(($CONF['copyPOS'][1]=='right')?'checked="checked"':'').'/> 
              <label for="copyPOS13">'.l10n('right').'</label>
            </td>
          </tr>
          <tr>
            <td>'.l10n('copySIZE').' :</td>
            <td><input type="text" name="copySIZE" value="'.$CONF['copySIZE'].'" size="5"/></td>
          </tr>
          <tr>
            <td>'.l10n('copyCOLOR').' :</td>
            <td><input type="text" id="colorpicker" name="copyCOLOR" value="'.$CONF['copyCOLOR'].'" size="6"/></td>
            <script type="text/javascript">
              $("#colorpicker").ColorPicker({
                onSubmit: function(hsb, hex, rgb, el) { $(el).val(hex); $(el).ColorPickerHide(); },
                onChange: function(hsb, hex, rgb, el) { $("#colorpicker").val(hex); },
                onBeforeShow: function () { $(this).ColorPickerSetColor(this.value); }
              }) .bind("keyup", function(){ $(this).ColorPickerSetColor(this.value); });
            </script>
          </tr>
          <tr>
            <td>'.l10n('copyFONT').' :</td>
            <td><input type="text" name="copyFONT" value="'.$CONF['copyFONT'].'"/></td>
          </tr>
        </table>
      </li>
    </ul>
  </div>

  <div class="generic config">
    <h2>'.l10n('Plugins').'</h2>
    <ul>';
      
      // Affichage des plugins
      $PLUGIN_ACTION = 'edit_config';
      
      foreach ($CONF['Plugins'] as $plugin_id => $plugin_config) {
        $PAGE['content'] .= '<li>
          <div class="plugin-title">
            <span class="title">'.$plugin_config['name'].' :</span>
            <input type="hidden" name="Plugins['.$plugin_id.'][name]" value="'.$plugin_config['name'].'"/>
            <input type="hidden" name="Plugins['.$plugin_id.'][mode]" value="'.$plugin_config['mode'].'"/>';
            
            // Cas spciaux dans le titre (nouveau, manquant)
            if (isset($NewPlugins[$plugin_id])) {
              $PAGE['content'] .= ' <b class="new">'.l10n('New !').'</b>';
            } else if (isset($MissingPlugins[$plugin_id])) {
              $PAGE['content'] .= ' <b class="miss">'.l10n('Missing !').'</b>';
            }
            
            // Si il est manquant on ne met que la checkbox de suppression, sinon boutons d'activation
            $PAGE['content'] .= '<span class="plugin-active">';
              if (isset($MissingPlugins[$plugin_id])) {
                $PAGE['content'] .= '<label><input type="checkbox" name="Plugins['.$plugin_id.'][delete]" value="true" checked="checked"/> '.l10n('erase').'</label>';
              } else {
                $PAGE['content'] .= '<input type="radio" id="" id="active-'.$plugin_id.'" name="Plugins['.$plugin_id.'][active]" value="true" '.(($plugin_config['active'])?'checked="checked"':'').'/>
                <label for="active-'.$plugin_id.'">'.l10n('Active').'</label>
                <input type="radio" id="" id="inactive-'.$plugin_id.'"name="Plugins['.$plugin_id.'][active]" value="false" '.((!$plugin_config['active'])?'checked="checked"':'').'/>
                <label for="inactive-'.$plugin_id.'">'.l10n('Inactive').'</label>';
              }
            $PAGE['content'] .= '</span>
            
          </div>';
          
          
          // On affiche sa configuration
          if (!isset($MissingPlugins[$plugin_id]) AND file_exists('plugins/'.$plugin_id.'/setup.php')) {
            include('plugins/'.$plugin_id.'/setup.php');
          }
        $PAGE['content'] .= '</li>';
      }
      
    $PAGE['content'] .= '</ul>
  </div>';
  

  $PAGE['end'] .= '<div class="generic link">
    <input type="submit" name="submit" value="'.l10n('Valid').'"/>
    <input type="reset" onclick="location.href=\'index.php\'" value="'.l10n('Back').'"/>
  </div>
</form>';
?>